Debian Bug report logs - #589179
linux-image-2.6.26-2-686: heap base address is not randomised when randomize_va_space is set to 2

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Radoslaw Madej <radoslaw_madej@o2.pl>

Date: Thu, 15 Jul 2010 15:33:02 UTC

Severity: normal

Tags: pending, security

Found in version 2.6.26-24

Fixed in versions linux-2.6/2.6.26-24lenny1, user-mode-linux/2.6.26-1um-2+24lenny1

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589179; Package linux-2.6. (Thu, 15 Jul 2010 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Radoslaw Madej <radoslaw_madej@o2.pl>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 15 Jul 2010 15:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Radoslaw Madej <radoslaw_madej@o2.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.26-2-686: heap base address is not randomised when randomize_va_space is set to 2
Date: Thu, 15 Jul 2010 17:18:00 +0100
Package: linux-2.6
Version: 2.6.26-24
Severity: normal

Hi,
When running the latest stable Debian kernel the base address of a heap is not randomised regardless of the
setting for randomize_va_space (it is set to 2 by default). This can be observed by using a simple .c
program (below) or using the paxtest suite available from here:
http://grsecurity.net/~spender/paxtest-0.9.9.tgz

Please bear in mind that I only have tested this within virtualised environment and I have only tested a x86 system.

sample c program I used:
#include <stdio.h>
#include <stdlib.h>

void main() {

char * p = (char *) malloc(40*sizeof(char));
printf("address: %x\n",p);
}

compile and run:
gcc -o heap heap.c
watch -n 1 ./heap

reproducible: always

steps to reproduce:
- compile and run paxtest or simple .c program from above

expected results:
- randomised addressed for heap allocations - address of the malloc'ed var should be different each time the program is run.
For the paxtest - it should not report 'no randomisation' for 'Heap randomisation test (ET_EXEC)'

actual results:
- no randomisation of the heap base addresses.

-- Package-specific info:
** Version:
Linux version 2.6.26-2-686 (Debian 2.6.26-24) (dannf@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Mon Jun 21 05:58:44 UTC 2010

** Command line:
root=/dev/hda1 ro quiet

** Not tainted

** Kernel log:
[    5.227996] usb 1-1: new full speed USB device using uhci_hcd and address 2
[    5.485259] PM: Starting manual resume from disk
[    5.517670] EXT3-fs: INFO: recovery required on readonly filesystem.
[    5.517674] EXT3-fs: write access will be enabled during recovery.
[    5.590701] usb 1-1: configuration #1 chosen from 1 choice
[    5.643904] usb 1-1: New USB device found, idVendor=0627, idProduct=0001
[    5.643909] usb 1-1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    5.643912] usb 1-1: Product: QEMU USB Tablet
[    5.643914] usb 1-1: Manufacturer: QEMU 0.12.4
[    5.643916] usb 1-1: SerialNumber: 1
[    5.710778] usbcore: registered new interface driver hiddev
[    5.735324] input: QEMU 0.12.4 QEMU USB Tablet as /class/input/input1
[    5.739330] input,hidraw0: USB HID v0.01 Pointer [QEMU 0.12.4 QEMU USB Tablet] on usb-0000:00:01.2-1
[    5.739330] usbcore: registered new interface driver usbhid
[    5.739330] usbhid: v2.6:USB HID core driver
[    6.359345] kjournald starting.  Commit interval 5 seconds
[    6.359345] EXT3-fs: recovery complete.
[    6.359345] EXT3-fs: mounted filesystem with ordered data mode.
[    9.039926] udevd version 125 started
[    9.809803] udev: renamed network interface eth0 to eth6
[   10.587020] piix4_smbus 0000:00:01.3: Found 0000:00:01.3 device
[   10.797426] input: Power Button (FF) as /class/input/input2
[   10.828746] ACPI: Power Button (FF) [PWRF]
[   11.152352] input: PC Speaker as /class/input/input3
[   11.368600] input: ImExPS/2 Generic Explorer Mouse as /class/input/input4
[   11.472414] parport_pc 00:05: reported by Plug and Play ACPI
[   11.472414] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[   12.741775] Adding 489940k swap on /dev/hda5.  Priority:-1 extents:1 across:489940k
[  113.697388] EXT3 FS on hda1, internal journal
[  114.415953] loop: module loaded
[  121.243828] NET: Registered protocol family 10
[  121.246126] lo: Disabled Privacy Extensions
[  122.529155] lp0: using parport0 (interrupt-driven).
[  122.667535] ppdev: user-space parallel port driver
[  126.465548] eth6: link up, 100Mbps, full-duplex, lpa 0x05E1
[  144.751798] eth6: no IPv6 routers present
[  808.293430] BUG: soft lockup - CPU#0 stuck for 104s! [swapper:0]
[  808.293430] Modules linked in: ppdev lp ipv6 cpufreq_ondemand cpufreq_stats freq_table cpufreq_userspace cpufreq_powersave cpufreq_conservative loop parport_pc parport pcspkr psmouse serio_raw button i2c_piix4 i2c_core joydev evdev usbhid hid ff_memless ext3 jbd mbcache ide_cd_mod cdrom ide_disk ata_generic libata scsi_mod 8139too dock floppy 8139cp mii uhci_hcd piix ide_pci_generic usbcore ide_core thermal processor fan thermal_sys [last unloaded: scsi_wait_scan]
[  808.293430] 
[  808.293430] Pid: 0, comm: swapper Not tainted (2.6.26-2-686 #1)
[  808.293430] EIP: 0060:[<c0114d94>] EFLAGS: 00000246 CPU: 0
[  808.293430] EIP is at native_safe_halt+0x2/0x3
[  808.293430] EAX: c0378000 EBX: c010265b ECX: 0104f000 EDX: 00012276
[  808.293430] ESI: 00000000 EDI: c036c000 EBP: 00847007 ESP: c0379fe0
[  808.293430]  DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
[  808.293430] CR0: 8005003b CR2: 085643ac CR3: 0ae94000 CR4: 000006d0
[  808.293430] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[  808.293430] DR6: ffff0ff0 DR7: 00000400
[  808.293430]  [<c0102688>] ? default_idle+0x2d/0x53
[  808.293430]  [<c01025d3>] ? cpu_idle+0xb0/0xd0
[  808.293430]  =======================
[  978.033743] BUG: soft lockup - CPU#1 stuck for 158s! [dbus-daemon:2067]
[  978.033743] Modules linked in: ppdev lp ipv6 cpufreq_ondemand cpufreq_stats freq_table cpufreq_userspace cpufreq_powersave cpufreq_conservative loop parport_pc parport pcspkr psmouse serio_raw button i2c_piix4 i2c_core joydev evdev usbhid hid ff_memless ext3 jbd mbcache ide_cd_mod cdrom ide_disk ata_generic libata scsi_mod 8139too dock floppy 8139cp mii uhci_hcd piix ide_pci_generic usbcore ide_core thermal processor fan thermal_sys [last unloaded: scsi_wait_scan]
[  978.033743] 
[  978.033743] Pid: 2067, comm: dbus-daemon Not tainted (2.6.26-2-686 #1)
[  978.033743] EIP: 0060:[<c012979b>] EFLAGS: 00000287 CPU: 1
[  978.033743] EIP is at run_timer_softirq+0x16d/0x17c
[  978.033743] EAX: 0001cb7d EBX: 0000007d ECX: 0001cb7e EDX: df46c3f4
[  978.033743] ESI: deb35bb8 EDI: df46c000 EBP: c027a06b ESP: deb35bb8
[  978.033743]  DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
[  978.033743] CR0: 8005003b CR2: 0855aea4 CR3: 0ae4f000 CR4: 000006d0
[  978.033743] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[  978.033743] DR6: ffff0ff0 DR7: 00000400
[  978.033743]  [<c0126669>] ? __do_softirq+0x66/0xd3
[  978.033743]  [<c012671b>] ? do_softirq+0x45/0x53
[  978.033743]  [<c01269d2>] ? irq_exit+0x35/0x69
[  978.033743]  [<c0110299>] ? smp_apic_timer_interrupt+0x6b/0x76
[  978.033743]  [<c0104368>] ? apic_timer_interrupt+0x28/0x30
[  978.033743]  [<c017f152>] ? do_sys_poll+0x140/0x2e7
[  978.033743]  [<c017fa0a>] ? __pollwait+0x0/0xac
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c011b73c>] ? default_wake_function+0x0/0x8
[  978.033743]  [<c0136198>] ? getnstimeofday+0x37/0xbc
[  978.033743]  [<c017f334>] ? sys_poll+0x3b/0x6e
[  978.033743]  [<c0103857>] ? sysenter_past_esp+0x78/0xb1
[  978.033743]  =======================
[ 2388.570877] hda: dma_timer_expiry: dma status == 0x21
[ 2399.059397] hda: DMA timeout error
[ 2399.379295] hda: dma timeout error: status=0xd8 { Busy }
[ 2399.379295] ide: failed opcode was: unknown
[ 2399.379295] hda: DMA disabled
[ 2399.440265] ide0: reset: success

** Model information
not available

** Loaded modules:
Module                  Size  Used by
ppdev                   6468  0 
lp                      8164  0 
ipv6                  235396  18 
cpufreq_ondemand        6476  0 
cpufreq_stats           3776  0 
freq_table              4224  2 cpufreq_ondemand,cpufreq_stats
cpufreq_userspace       3172  0 
cpufreq_powersave       1856  0 
cpufreq_conservative     5960  0 
loop                   12748  0 
parport_pc             22500  1 
parport                30988  3 ppdev,lp,parport_pc
pcspkr                  2432  0 
psmouse                32336  0 
serio_raw               4740  0 
button                  6096  0 
i2c_piix4               7216  0 
i2c_core               19828  1 i2c_piix4
joydev                  8480  0 
evdev                   8000  2 
usbhid                 35872  0 
hid                    33184  1 usbhid
ff_memless              4392  1 usbhid
ext3                  105576  1 
jbd                    39476  1 ext3
mbcache                 7108  1 ext3
ide_cd_mod             27684  0 
cdrom                  30176  1 ide_cd_mod
ide_disk               10496  3 
ata_generic             4676  0 
libata                140448  1 ata_generic
scsi_mod              129548  1 libata
8139too                20384  0 
dock                    8304  1 libata
floppy                 47844  0 
8139cp                 16800  0 
mii                     4896  2 8139too,8139cp
uhci_hcd               18672  0 
piix                    6568  0 [permanent]
ide_pci_generic         3908  0 [permanent]
usbcore               118224  3 usbhid,uhci_hcd
ide_core               96168  4 ide_cd_mod,ide_disk,piix,ide_pci_generic
thermal                15228  0 
processor              32576  1 thermal
fan                     4196  0 
thermal_sys            10856  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.1 IDE interface [0101]: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II] [8086:7010] (prog-if 80 [Master])
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at c000 [size=16]
	Kernel driver in use: PIIX_IDE
	Kernel modules: piix

00:01.2 USB Controller [0c03]: Intel Corporation 82371SB PIIX3 USB [Natoma/Triton II] [8086:7020] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 11
	Region 4: I/O ports at c020 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:01.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 03)
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 9
	Kernel driver in use: piix4_smbus
	Kernel modules: i2c-piix4

00:02.0 VGA compatible controller [0300]: Cirrus Logic GD 5446 [1013:00b8] (prog-if 00 [VGA controller])
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=32M]
	Region 1: Memory at f2000000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at f2010000 [disabled] [size=64K]
	Kernel modules: cirrusfb

00:03.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 20)
	Subsystem: Qumranet, Inc. Device [1af4:1100]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at c100 [size=256]
	Region 1: Memory at f2020000 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at f2030000 [disabled] [size=64K]
	Kernel driver in use: 8139cp
	Kernel modules: 8139cp, 8139too


** Sound cards:

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.26-2-686 recommends:
ii  libc6-i686                  2.7-18lenny4 GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.26-2-686 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

Versions of packages linux-image-2.6.26-2-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
  linux-image-2.6.26-2-686/postinst/bootloader-error-2.6.26-2-686:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-2-686/postinst/old-dir-initrd-link-2.6.26-2-686: true
  linux-image-2.6.26-2-686/preinst/overwriting-modules-2.6.26-2-686: true
  linux-image-2.6.26-2-686/postinst/bootloader-test-error-2.6.26-2-686:
  linux-image-2.6.26-2-686/postinst/depmod-error-2.6.26-2-686: false
  linux-image-2.6.26-2-686/preinst/bootloader-initrd-2.6.26-2-686: true
  linux-image-2.6.26-2-686/preinst/abort-overwrite-2.6.26-2-686:
  linux-image-2.6.26-2-686/preinst/abort-install-2.6.26-2-686:
  linux-image-2.6.26-2-686/postinst/depmod-error-initrd-2.6.26-2-686: false
  linux-image-2.6.26-2-686/postinst/create-kimage-link-2.6.26-2-686: true
  linux-image-2.6.26-2-686/preinst/failed-to-move-modules-2.6.26-2-686:
  linux-image-2.6.26-2-686/preinst/initrd-2.6.26-2-686:
  linux-image-2.6.26-2-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-2-686/prerm/would-invalidate-boot-loader-2.6.26-2-686: true
  linux-image-2.6.26-2-686/postinst/kimage-is-a-directory:
  linux-image-2.6.26-2-686/postinst/old-initrd-link-2.6.26-2-686: true
  linux-image-2.6.26-2-686/preinst/elilo-initrd-2.6.26-2-686: true
  linux-image-2.6.26-2-686/preinst/lilo-initrd-2.6.26-2-686: true
  linux-image-2.6.26-2-686/prerm/removing-running-kernel-2.6.26-2-686: true
  linux-image-2.6.26-2-686/postinst/old-system-map-link-2.6.26-2-686: true




Added tag(s) security. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 16 Jul 2010 01:21:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 02:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589179; Package linux-2.6. (Fri, 16 Jul 2010 05:51:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 16 Jul 2010 05:51:53 GMT) Full text and rfc822 format available.

Message #14 received at 589179@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Radoslaw Madej <radoslaw_madej@o2.pl>
Cc: 589179@bugs.debian.org
Subject: Re: linux-image-2.6.26-2-686: heap base address is not randomised when randomize_va_space is set to 2
Date: Fri, 16 Jul 2010 03:10:39 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-07-15 at 17:18 +0100, Radoslaw Madej wrote:
> Package: linux-2.6
> Version: 2.6.26-24
> Severity: normal
> 
> Hi,
> When running the latest stable Debian kernel the base address of a heap is not randomised regardless of the
> setting for randomize_va_space (it is set to 2 by default). This can be observed by using a simple .c
> program (below) or using the paxtest suite available from here:
> http://grsecurity.net/~spender/paxtest-0.9.9.tgz

Good spot.  At the point where heap randomisation should be done,
PF_RANDOMIZE has been cleared.  This seems to be a regression due to the
fix for CVE-2010-0307.  We need to apply the follow-up patch:

commit 7ab02af428c2d312c0cf8fb0b01cc1eb21131a3d
Author: Linus Torvalds <torvalds@linux-foundation.org>
Date:   Tue Feb 2 12:37:44 2010 -0800

    Fix 'flush_old_exec()/setup_new_exec()' split

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Wed, 25 Aug 2010 01:57:08 GMT) Full text and rfc822 format available.

Notification sent to Radoslaw Madej <radoslaw_madej@o2.pl>:
Bug acknowledged by developer. (Wed, 25 Aug 2010 01:57:08 GMT) Full text and rfc822 format available.

Message #19 received at 589179-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 589179-close@bugs.debian.org
Subject: Bug#589179: fixed in linux-2.6 2.6.26-24lenny1
Date: Wed, 25 Aug 2010 01:56:04 +0000
Source: linux-2.6
Source-Version: 2.6.26-24lenny1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-24lenny1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.26-24lenny1.diff.gz
linux-2.6_2.6.26-24lenny1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.26-24lenny1.dsc
linux-doc-2.6.26_2.6.26-24lenny1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.26_2.6.26-24lenny1_all.deb
linux-headers-2.6.26-2-all-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all-amd64_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-all_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-common-openvz_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-openvz_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-common-vserver_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-vserver_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-common-xen_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-xen_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-common_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
linux-headers-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
linux-image-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
linux-image-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
linux-image-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
linux-image-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
linux-libc-dev_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.26-24lenny1_amd64.deb
linux-manual-2.6.26_2.6.26-24lenny1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.26_2.6.26-24lenny1_all.deb
linux-modules-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/linux-modules-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
linux-patch-debian-2.6.26_2.6.26-24lenny1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-24lenny1_all.deb
linux-source-2.6.26_2.6.26-24lenny1_all.deb
  to main/l/linux-2.6/linux-source-2.6.26_2.6.26-24lenny1_all.deb
linux-support-2.6.26-2_2.6.26-24lenny1_all.deb
  to main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-24lenny1_all.deb
linux-tree-2.6.26_2.6.26-24lenny1_all.deb
  to main/l/linux-2.6/linux-tree-2.6.26_2.6.26-24lenny1_all.deb
xen-linux-system-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589179@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Aug 2010 17:56:34 -0600
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all amd64
Version: 2.6.26-24lenny1
Distribution: stable-security
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 589179
Changes: 
 linux-2.6 (2.6.26-24lenny1) stable-security; urgency=high
 .
   * cifs: Fix a kernel BUG with remote OS/2 server (CVE-2010-2248)
   * Fix race in tty_fasync() properly (CVE-2009-4895)
   * xfs: prevent swapext from operating on write-only files (CVE-2010-2226)
   * nfsd4: bug in read_buf (CVE-2010-2521)
   * GFS2: rename causes kernel Oops (CVE-2010-2798)
   * exec: Fix 'flush_old_exec()/setup_new_exec()' split (Closes: #589179;
     regression due to fix for CVE-2010-0307)
   * can: add limit for nframes and clean up signed/unsigned variables
     (CVE-REQUESTED)
   * mm: keep a guard page below a grow-down stack segment (CVE-2010-2240)
   * drm: stop information leak of old kernel stack (CVE-2010-2803)
   * ext4: fix integer overflows in ext4_ext_{in_cache,get_blocks}
     (CVE-2010-3015)
Checksums-Sha1: 
 9910b27e342c709111e9d26a4ef429209a59ea4a 5778 linux-2.6_2.6.26-24lenny1.dsc
 a1963d99f9dc6c2ce4f982584caebbc2a11687cb 7952972 linux-2.6_2.6.26-24lenny1.diff.gz
 b1dc1feaddef7d5f339512837fc7c52c5d96a68a 4630140 linux-doc-2.6.26_2.6.26-24lenny1_all.deb
 3e03a445d826b3dacf3d15168c33ecebde66b0bd 1770504 linux-manual-2.6.26_2.6.26-24lenny1_all.deb
 3727a8c7b0b0461a22f4d214d7ef949434157584 2928174 linux-patch-debian-2.6.26_2.6.26-24lenny1_all.deb
 e7a35ad4cb7fd731425f02714057a8eb5767e415 48766186 linux-source-2.6.26_2.6.26-24lenny1_all.deb
 60d1e97bc6a0b624ca58abf58ff66ae703486743 127208 linux-support-2.6.26-2_2.6.26-24lenny1_all.deb
 d4068884daf0502cb4ac9dcd34eb7860892ffd61 111898 linux-tree-2.6.26_2.6.26-24lenny1_all.deb
 3acbee98a713beafa460bf21e5a7128eb330a58f 20932872 linux-image-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
 35469c017e394d4e122bdf3699fb3c1981fa0bbc 392096 linux-headers-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
 dd8eea170df0661b498f76b1a20922641a89ef4a 3725698 linux-headers-2.6.26-2-common_2.6.26-24lenny1_amd64.deb
 6c01e2964492a87dd80e7694762b9a8e1b230594 21103502 linux-image-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
 3708038bb8fc50562890e70c37ac1699726991e2 397852 linux-headers-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
 8d66731f5c70fecb12d5f601983de669b173c822 3781332 linux-headers-2.6.26-2-common-openvz_2.6.26-24lenny1_amd64.deb
 ee93ac8b79e27393304a4f25be3a55481e95d995 111334 linux-headers-2.6.26-2-all_2.6.26-24lenny1_amd64.deb
 80768dba4c2cbdc3e2d438c893beaa2ce2b10327 111358 linux-headers-2.6.26-2-all-amd64_2.6.26-24lenny1_amd64.deb
 2b3b631bc34d9ff6416b4bfabdfd2a217c310824 754156 linux-libc-dev_2.6.26-24lenny1_amd64.deb
 3c4a51f26b75162f01ee707265df7a83da7b3812 20951994 linux-image-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
 d19ac2499bdb42ceaef26e5c5fd10f1b8a85f576 392838 linux-headers-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
 576dc62ad9c364f539630b2708e8607765788bdd 3758270 linux-headers-2.6.26-2-common-vserver_2.6.26-24lenny1_amd64.deb
 5167c5d1ba636a347cb651f7525452d69fe93dc7 1810486 linux-image-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 ffe2043889a7a927d9eede2143417efac709e3a7 19315568 linux-modules-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 96e48a2f931a4089ac143639ebf62146ad5eb210 388334 linux-headers-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 aa32b33d4894611c244a829423aeb896438fc6b7 111310 xen-linux-system-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 0a53af6e10b833298e30c6e5ee2c373ef35972b4 3857776 linux-headers-2.6.26-2-common-xen_2.6.26-24lenny1_amd64.deb
Checksums-Sha256: 
 4c2457a367e0a7e2b8a68ec3d357db21b0685554c6f740c5ebc41e217826408f 5778 linux-2.6_2.6.26-24lenny1.dsc
 51409e5564218e7aeb5acf14fe929e0ef3c38d5d103c562fd5239c2a5e47ba23 7952972 linux-2.6_2.6.26-24lenny1.diff.gz
 ee75a916ba7456595502d4fc0aabe3463af7327434cdc193242327dde04c6cee 4630140 linux-doc-2.6.26_2.6.26-24lenny1_all.deb
 306495d569dadcec746a9aab8fe29df9484bb44c8c5ab5d9c2eae93d4035648a 1770504 linux-manual-2.6.26_2.6.26-24lenny1_all.deb
 1d6f233ba26dfba8bacf2759eddb035f01209d923261397b337264d8c77ea679 2928174 linux-patch-debian-2.6.26_2.6.26-24lenny1_all.deb
 ff9ad71ce5c9d44e26ef543d5e32c72c44a22ec3359ff4f05e15ed766807baa4 48766186 linux-source-2.6.26_2.6.26-24lenny1_all.deb
 3bca89388fb44bbe95e1b44e76bfc4129a1aa6d16dea9e5063b8d322f05f66a4 127208 linux-support-2.6.26-2_2.6.26-24lenny1_all.deb
 12e86dafce0dc1f92fd4c6464281248e5fca25098ae2ed6174d70e59a755d4cf 111898 linux-tree-2.6.26_2.6.26-24lenny1_all.deb
 372751c7b2936dc73c7ed4e6ef307ae06f350a5a703489db956aac414b980ec8 20932872 linux-image-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
 7b845c94ec75fd6857cd45a1578d785c7c267166ef05fbb39acc978b609c1c38 392096 linux-headers-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
 5920825eb629fdff4da506a358159903749cbdba8ec934f71ab6e6db8a7e46e0 3725698 linux-headers-2.6.26-2-common_2.6.26-24lenny1_amd64.deb
 ca1f0765682bb549fa50a65471c99c20d53206e2693ac2de6d74043491283407 21103502 linux-image-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
 5a367706edc3085ee7c50a2dd5ac8c7b5dea91ec09d6b02cdd44abf4e5ae746f 397852 linux-headers-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
 c22aba3d0c67bf1352a19bb469a95f7eedb8fbc865f348b186630d4c84636cef 3781332 linux-headers-2.6.26-2-common-openvz_2.6.26-24lenny1_amd64.deb
 38448cf881b844affb1e88c2c9e075efeef38aa508726afc456300e85c75422d 111334 linux-headers-2.6.26-2-all_2.6.26-24lenny1_amd64.deb
 61d92ce2b320f57390afb7c1c679e7f1f6bc20537aea63654c68f02e30919f1d 111358 linux-headers-2.6.26-2-all-amd64_2.6.26-24lenny1_amd64.deb
 633154226784b53f8365ce128bb71b391161679b66ca60b30da2ddaf5cb8c710 754156 linux-libc-dev_2.6.26-24lenny1_amd64.deb
 35ad48eb75b54fa3a26c13751831d1f910915ff7a25ec6ce89a6538ecd936388 20951994 linux-image-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
 e1e2cee3583d4140d7f2baa78d5e219af586a4e78e763b2e85d9744cf33b6b4e 392838 linux-headers-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
 008d0ffdde69f9f454a88cd0bc6677b6e619c0efb6456340c9372aa010947631 3758270 linux-headers-2.6.26-2-common-vserver_2.6.26-24lenny1_amd64.deb
 04be6da3f26754c164383c73d1441b94622655948224fe5178a7a4a100234293 1810486 linux-image-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 ba31e4635d24a15b0aa07e6611456e48c8bed9e4da429074590dce84a1be2edc 19315568 linux-modules-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 a35b14226b1189fd10b11a6843e44a7f430ec305ff0db062b0a46f8ba01c42a7 388334 linux-headers-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 6ed1a078c5250fe37f6ff16c76c1f6dd7c504b5fa709d16697ad64d15f66d73c 111310 xen-linux-system-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 a3be54fbf0b2ac0fc1a93a6c3f53a540b279151ecd297a5a199c49b8cc4d9f15 3857776 linux-headers-2.6.26-2-common-xen_2.6.26-24lenny1_amd64.deb
Files: 
 0ce8e36117eece3c4b469d73be862cd3 5778 devel optional linux-2.6_2.6.26-24lenny1.dsc
 d3496a509cd9024910b5ee2cad4b5c70 7952972 devel optional linux-2.6_2.6.26-24lenny1.diff.gz
 1ae9b5193a604a5943cbe3580d5f8191 4630140 doc optional linux-doc-2.6.26_2.6.26-24lenny1_all.deb
 6a3b2afc69ae07acd7d8e04777cf536e 1770504 doc optional linux-manual-2.6.26_2.6.26-24lenny1_all.deb
 3cb46b25f4861f1a9ce3adbb2625cd2e 2928174 devel optional linux-patch-debian-2.6.26_2.6.26-24lenny1_all.deb
 ae5653c62cd9e1631c02af9ebab6a93d 48766186 devel optional linux-source-2.6.26_2.6.26-24lenny1_all.deb
 05cd21e0aa9a24437d64a5b69eb8b164 127208 devel optional linux-support-2.6.26-2_2.6.26-24lenny1_all.deb
 f367960b308b8261b7aa3d0f25e11038 111898 devel optional linux-tree-2.6.26_2.6.26-24lenny1_all.deb
 5d1c202e4b8c2342dcb2e22acf5da88f 20932872 admin optional linux-image-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
 ea443d7588fd206128e1d76b0f39dd19 392096 devel optional linux-headers-2.6.26-2-amd64_2.6.26-24lenny1_amd64.deb
 77718405270c595091ed89b2691075ca 3725698 devel optional linux-headers-2.6.26-2-common_2.6.26-24lenny1_amd64.deb
 4c7103c1f85326b535f7610fcd50d3cc 21103502 admin optional linux-image-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
 b07d599a71361d924468bce039b8decc 397852 devel optional linux-headers-2.6.26-2-openvz-amd64_2.6.26-24lenny1_amd64.deb
 c4542267929cf31915d63890881eaa06 3781332 devel optional linux-headers-2.6.26-2-common-openvz_2.6.26-24lenny1_amd64.deb
 12012442629435325e5f3d405b0d3bd3 111334 devel optional linux-headers-2.6.26-2-all_2.6.26-24lenny1_amd64.deb
 1ed5b299a0891367bcb63f9168847d5d 111358 devel optional linux-headers-2.6.26-2-all-amd64_2.6.26-24lenny1_amd64.deb
 5a4bc9d3cfaa8ced91dc95db825183dc 754156 devel optional linux-libc-dev_2.6.26-24lenny1_amd64.deb
 d3efdf68c34c11e092074b7a9288412b 20951994 admin optional linux-image-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
 6bd3feb0aabd50629ffba604fbd042b1 392838 devel optional linux-headers-2.6.26-2-vserver-amd64_2.6.26-24lenny1_amd64.deb
 4819dc1bf63d7b2f45dae9c97862e856 3758270 devel optional linux-headers-2.6.26-2-common-vserver_2.6.26-24lenny1_amd64.deb
 73c4556902bcd3d30ea1a28863fb10fb 1810486 admin optional linux-image-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 8ea2c004b2fe006bfe960536cfa50e15 19315568 admin optional linux-modules-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 eb9f3a964b600de629d33f853e3a3196 388334 devel optional linux-headers-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 e30084d0f8937bd268f233017c2379f7 111310 admin extra xen-linux-system-2.6.26-2-xen-amd64_2.6.26-24lenny1_amd64.deb
 375a98d09b469044d531dec064b261c8 3857776 devel optional linux-headers-2.6.26-2-common-xen_2.6.26-24lenny1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMbI9BhuANDBmkLRkRAiRTAJ4p5V7a+Vbjqjk7jl7Qf5CgMxAXXACeIoHQ
A7ymkquD9UHlIplQssg0ZkY=
=dOq0
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Wed, 25 Aug 2010 02:00:05 GMT) Full text and rfc822 format available.

Notification sent to Radoslaw Madej <radoslaw_madej@o2.pl>:
Bug acknowledged by developer. (Wed, 25 Aug 2010 02:00:05 GMT) Full text and rfc822 format available.

Message #24 received at 589179-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 589179-close@bugs.debian.org
Subject: Bug#589179: fixed in user-mode-linux 2.6.26-1um-2+24lenny1
Date: Wed, 25 Aug 2010 01:57:58 +0000
Source: user-mode-linux
Source-Version: 2.6.26-1um-2+24lenny1

We believe that the bug you reported is fixed in the latest version of
user-mode-linux, which is due to be installed in the Debian FTP archive:

user-mode-linux_2.6.26-1um-2+24lenny1.diff.gz
  to main/u/user-mode-linux/user-mode-linux_2.6.26-1um-2+24lenny1.diff.gz
user-mode-linux_2.6.26-1um-2+24lenny1.dsc
  to main/u/user-mode-linux/user-mode-linux_2.6.26-1um-2+24lenny1.dsc
user-mode-linux_2.6.26-1um-2+24lenny1_i386.deb
  to main/u/user-mode-linux/user-mode-linux_2.6.26-1um-2+24lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589179@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated user-mode-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 Aug 2010 18:02:50 -0600
Source: user-mode-linux
Binary: user-mode-linux
Architecture: source i386
Version: 2.6.26-1um-2+24lenny1
Distribution: stable-security
Urgency: high
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 user-mode-linux - User-mode Linux (kernel)
Closes: 589179
Changes: 
 user-mode-linux (2.6.26-1um-2+24lenny1) stable-security; urgency=high
 .
   * Rebuild against linux-source-2.6.26 (2.6.26-24):
     * cifs: Fix a kernel BUG with remote OS/2 server (CVE-2010-2248)
     * Fix race in tty_fasync() properly (CVE-2009-4895)
     * xfs: prevent swapext from operating on write-only files (CVE-2010-2226)
     * nfsd4: bug in read_buf (CVE-2010-2521)
     * GFS2: rename causes kernel Oops (CVE-2010-2798)
     * exec: Fix 'flush_old_exec()/setup_new_exec()' split (Closes: #589179;
       regression due to fix for CVE-2010-0307)
     * can: add limit for nframes and clean up signed/unsigned variables
       (CVE-REQUESTED)
     * mm: keep a guard page below a grow-down stack segment (CVE-2010-2240)
     * drm: stop information leak of old kernel stack (CVE-2010-2803)
     * ext4: fix integer overflows in ext4_ext_{in_cache,get_blocks}
       (CVE-2010-3015)
Checksums-Sha1: 
 4553192cf8f37f15e1612c1acf8ee4472859b0c4 1273 user-mode-linux_2.6.26-1um-2+24lenny1.dsc
 a5a1f92939dec98c72d54afa41a431973eac27cb 19079 user-mode-linux_2.6.26-1um-2+24lenny1.diff.gz
 1ecb221248d1abc867ff0f93bc5480418cd7f0c7 5363312 user-mode-linux_2.6.26-1um-2+24lenny1_i386.deb
Checksums-Sha256: 
 d6eaff08e58b83d9853e9d8f6fb5ed5efaf39ae5cd5b551b94166ec1e1a55b4b 1273 user-mode-linux_2.6.26-1um-2+24lenny1.dsc
 f3d83bc048830a2bed7c3235f0e1506249c64b22f3c599731b77e2aa17dd4176 19079 user-mode-linux_2.6.26-1um-2+24lenny1.diff.gz
 dcf2238ac5f2c35574d1cc951e6200729a689180d957bdd6eec190d38062cf5a 5363312 user-mode-linux_2.6.26-1um-2+24lenny1_i386.deb
Files: 
 29deed5d80bee626c9dbce7dae8ac04a 1273 misc extra user-mode-linux_2.6.26-1um-2+24lenny1.dsc
 b16b61a6303306a84369f2a9c8a5950e 19079 misc extra user-mode-linux_2.6.26-1um-2+24lenny1.diff.gz
 3f5c8ceb48dba2d84999c994f2820e8e 5363312 misc extra user-mode-linux_2.6.26-1um-2+24lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMbdKkhuANDBmkLRkRAvdRAJ4onEDIsGdicVlnEUO+90mnR2ODpQCeIHtq
V7zQCXm9RiQalP0fSzW4Fto=
=va94
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Sun, 29 Aug 2010 18:39:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:45:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:20:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.